Page MenuHomePhabricator

vm requests for APT repo / webserver
Closed, ResolvedPublic

Description

Labs Project Tested: n/a
Site/Location: EQIAD/CODFW
Number of systems: 2
Service: https (nginx) / APT repository
Networking Requirements: public IP
Processor Requirements: 1
Memory: 2 GB
Disks: 180 GB (?)
Other Requirements: n/a

Will be used to host an APT repo and replace that part of the old jessie install servers. TFTP/DHCP are to be separated from the HTTP/APT part. The previous "installserver" role is being split in 2.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Dzahn created this task.Feb 8 2020, 12:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2020, 12:17 AM

@Muehlenhoff This was the idea, right? Or was it to share with an existing webserver?

Dzahn added a comment.Feb 8 2020, 12:27 AM

regarding disk requirements:

from current install server:

40G wikimedia
31G junos
7.7G firmware
2.0G tftpboot

jijiki triaged this task as Medium priority.Feb 10 2020, 10:39 AM

Yeah, separate VM is the idea. The specs looks good, we could probably even lower it a bit, but also won't hurt to have some head-room for further JunOS files etc. These will need a public IP.

Dzahn updated the task description. (Show Details)Feb 14 2020, 7:10 PM

Change 572311 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add apt1001.wikimedia.org

https://gerrit.wikimedia.org/r/572311

Change 572311 merged by Dzahn:
[operations/dns@master] add apt1001.wikimedia.org

https://gerrit.wikimedia.org/r/572311

Change 572354 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] add apt[12]00[12] to partman recipes, flat, standard for VMs

https://gerrit.wikimedia.org/r/572354

Change 572354 merged by Dzahn:
[operations/puppet@production] add apt[12]00[12] to partman recipes, flat, standard for VMs

https://gerrit.wikimedia.org/r/572354

Dzahn closed this task as Resolved.Wed, Mar 4, 12:22 AM
Dzahn claimed this task.

The VMs have been created meanwhile.